<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <artifactId>${project_name}</artifactId>
    <version>0.0.1</version>

    <parent>
        <groupId>net.orivis</groupId>
        <artifactId>orivis-parent</artifactId>
        <version>0.0.4</version>
    </parent>

    <properties>
        <orivis.core.version></orivis.core.version>
        <postgres.version></postgres.version>
        <servers.version></servers.version>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>19</source>
                    <target>19</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>org.hibernate.javax.persistence</groupId>
            <artifactId>hibernate-jpa-2.0-api</artifactId>
            <version>1.0.1.Final</version>
        </dependency>

        <dependency>
            <groupId>org.springdoc</groupId>
            <artifactId>springdoc-openapi-starter-webmvc-ui</artifactId>
            <version>2.1.0</version>
        </dependency>

        <dependency>
            <groupId>org.hibernate</groupId>
            <artifactId>hibernate-validator</artifactId>
            <version>8.0.1.Final</version>
        </dependency>

        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-core</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-db-postgres</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-dbupdater-postgres</artifactId>
            <version>0.0.1</version>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-log4j2</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-servers-postgres</artifactId>
            <version>0.0.1</version>
            <exclusions>
                <exclusion>
                    <groupId>net.orivis</groupId>
                    <artifactId>orivis-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-app-to-db-postgres</artifactId>
            <version>0.0.1</version>
        </dependency>

        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-config-service-client-postgres</artifactId>
            <version>0.0.1</version>
            <exclusions>
                <exclusion>
                    <groupId>net.orivis</groupId>
                    <artifactId>orivis-scope-postgres</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>net.orivis</groupId>
            <artifactId>orivis-auth-client-postgres</artifactId>
            <version>0.0.1</version>
            <exclusions>
                <exclusion>
                    <groupId>net.orivis</groupId>
                    <artifactId>orivis-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

    </dependencies>

</project>
